Get all tag groups belonging to the specified company.
curl --request GET \
--url https://openapi.pleo.io/v1/tag-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.pleo.io/v1/tag-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.pleo.io/v1/tag-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "0f0e000-000d-0d00-000b-00db0d000fae",
"name": "<string>",
"tagAttributes": [
{
"id": "0f0e000-000d-0d00-000b-00db0d000fae",
"name": "<string>",
"displayOrder": 123,
"hidden": true
}
],
"archived": true
}
]{
"statusCode": 401,
"error": "Forbidden",
"message": "user_scope_insufficient"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "user_scope_insufficient"
}"route not found""Something went wrong. Please contact the administrator if problems persist."Tag Groups
Get all tag groups belonging to the specified company.
deprecated
This endpoint returns all tag groups belonging to the company as well as their attributes
GET
/
tag-groups
Get all tag groups belonging to the specified company.
Authorizations
Open API Bearer token
Query Parameters
This flag allows you fetch only tag groups that have been archived if set to true or those that are still actively in use if set to false. By default it will only fetch active tag groups.
Response
Tag groups have been returned
This is the internal pleo identifier of the tag group
Example:
"0f0e000-000d-0d00-000b-00db0d000fae"
This is the tag group name supplied on create
These are the attributes that define a tag in this tag group, i.e. the tag columns. Each tag column is included only once.
Show child attributes
Show child attributes
This flag specifies whether the tag group has been archived in the Pleo system or not
Was this page helpful?